import 'package:flutter/material.dart';

class AppColors {
  static const colorPrimary = Color(0xfff5831f);
  static const colorPrimaryLight = Color(0xffffdcac);
  static const colorPrimaryDark = Color(0xffbb5f0f);

  static const colorSecondary = Color(0xffffffff);
  static const colorTitle = Color(0xff5A5A5A);
  static const colorText = Color(0xff7a7a7a);

  static const colorButton = Color(0xff30a240);
  static const colorSpamText = Color(0xfff69b4b);
  static const colorDialogBG = Color(0xffe2791d);
  static const colorDialog = Color(0xffffd7d2);

  // Generals
  static const white = Colors.white;
  static const yellow = Colors.yellow;
  static const black = Colors.black;
  static const red = Colors.red;
  static const transparent = Colors.transparent;

  // Gray and black
  static const Color colorGrey50 = Color(0xFFF8FAFC);
  static const Color colorGrey100 = Color(0xFFF5F5F5);
  static const Color colorGrey200 = Color(0xFFEEEEEE);
  static const Color colorGrey300 = Color(0xFFE0E0E0);
  static const Color colorGrey350 = Color(0xFFD6D6D6);
  static const Color colorGrey400 = Color(0xFFBDBDBD);
  static const Color colorGrey500 = Color(0xFF9E9E9E);
  static const Color colorGrey600 = Color(0xFF757575);
  static const Color colorGrey700 = Color(0xFF616161);
  static const Color colorGrey800 = Color(0xFF424242);
  static const Color colorGrey850 = Color(0xFF333333);
  static const Color colorGrey900 = Color(0xFF212121);

  static const Color colorNavyBlue = Color(0xFF1C274C);
  static const titleColor = colorGrey700;

  /// General
  static const colorSkipBtn = Color(0xFFf3e7bc);
  static const colorBorderSkipBtn = Color(0xFFB79D3E);

  static const toolbarBackgroundColor = Color(0xFF1565a6);

  static var minusColor = Colors.red;
  // Input Text
  static const hintColor = colorPrimary;
  static const inputErrorColor = Colors.red;
  static const inputTextColor = colorPrimary;
  static const inputLabelColor = colorPrimary;
  static const colorFontPrimary = black;
  static const colorFontSecondary = Color(0xFF344054);
  static const c0c0c0 = Color(0xFFC0C0C0);
  static const f0f0f0 = Color(0xFFF0F0F0);

  static const E5E9F2 = Color(0xFFE5E9F2);

  static const c212121 = Color(0xff212121);
  static const c878787 = Color(0xff878787);
  static const ff444444 = Color(0xff444444);
  static const ffF95846 = Color(0xffF95846);

  static var CFCFCF = Color(0xffCFCFCF);

  static var F0F0D = Color(0xff0F0F0D);
  static const  colorRed = Color(0xffff0000);
  static const  FDF7F1 = Color(0xffFDF7F1);

 
}
